C 222  6371000.0  2200.000   4000.000   4000.000  2000.000  2000.000  1.00000  9.81893    200.0  57822.5 0.0033349  0.58651
	     character*80 infile,outfile
             character*124 bred
      real*4 r(2500),rho(2500),a(2500),b(2500),qs(2500),thick(2500),av_a(2500),av_b(2500),av_rho(2500),av_qs(2500)
	     data marg/2/,r0/6371000.0/,eps/0.0001/
	     narg=iargc()
	     if(narg.ne.marg)STOP'USAGE: layer_extract_no_core infile outfile'
        PRINT*,'to convert a spherical model into the layered structure; core is stripped'
             call GETARG(1,infile)
             call GETARG(2,outfile)
	     open(1,file=infile,status='OLD')
	     open(2,file=outfile)
	     do i=1,100000
	     read(1,'(a)',end=99)bred
             read(bred(7:16),'(F9.1)') r(i)
             read(bred(18:27),'(F9.3)') rho(i)
             read(bred(28:37),'(F9.3)') a(i)
             read(bred(50:58),'(F9.3)') b(i)
             read(bred(89:95),'(F7.1)'),Qs(i)
	     enddo
99           np=i-1
             k=0
	     print*,'n. of input lines=',np
             do i=np,2,-1
             if(r(i).ne.r(i-1))then
             k=k+1
             thick(k)=(r(i)-r(i-1))/1000.
             dep=(r0-(r(i)+r(i-1))/2.)/1000.
             av_a(k)=(a(i)+a(i-1))/2000.
             av_b(k)=(b(i)+b(i-1))/2000.
             av_rho(k)=(rho(i)+rho(i-1))/2000.
             av_qs(k)=(Qs(i)+Qs(i-1))/2.
             if(av_b(k).lt.eps.and.k.ne.1)go to 2
            write(2,'(6(F10.4,1X))'),thick(k),av_a(k),av_b(k),av_rho(k),av_qs(k)
                               else
             go to 1
                               endif
1            enddo
2            end
